## org.eclipse.datatools.modelbase.sql.expressions
Interface ValueExpression

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  QueryValueExpression, ValueExpressionAtomic, ValueExpressionCase, ValueExpressionCaseSearch, ValueExpressionCaseSimple, ValueExpressionCast, ValueExpressionColumn, ValueExpressionCombined, ValueExpressionDefault, ValueExpressionDefaultValue, ValueExpressionFunction, ValueExpressionLabeledDuration, ValueExpressionNested, ValueExpressionNullValue, ValueExpressionRow, ValueExpressionScalarSelect, ValueExpressionSimple, ValueExpressionVariable, XMLAggregateFunction, XMLAttributeDeclarationItem, XMLQueryArgumentItem, XMLSerializeFunction, XMLSerializeFunctionTarget, XMLTableColumnDefinitionDefault, XMLValueExpressionCast, XMLValueFunction, XMLValueFunctionComment, XMLValueFunctionCommentContent, XMLValueFunctionConcat, XMLValueFunctionConcatContentItem, XMLValueFunctionDocument, XMLValueFunctionDocumentContent, XMLValueFunctionElement, XMLValueFunctionElementContentItem, XMLValueFunctionForest, XMLValueFunctionForestContentItem, XMLValueFunctionParse, XMLValueFunctionParseContent, XMLValueFunctionPI, XMLValueFunctionPIContent, XMLValueFunctionQuery, XMLValueFunctionText, XMLValueFunctionTextContent, XMLValueFunctionValidate, XMLValueFunctionValidateContent

    public interface ValueExpression

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Value Expression'. Reference: 5WD-02-Foundation-2002-12 4.14.5 Base columns and generated columns

See Also:
  `SQLExpressionsPackage.getValueExpression()`

Method Summary
`java.lang.String` `getSQL()`
`void` `setSQL(java.lang.String sqlText)`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSQL

    java.lang.String getSQL()

### setSQL

    void setSQL(java.lang.String sqlText)